Skip to content

Get log category items

Request

Retrieves log category items representing specific activities or observations within a log category.

Examples: Breakfast (under Meals & Nutrition), Shower (under Personal Care), Walk in Garden (under Activities)

Filters:

  • page, limit - Pagination controls (default: page=1, limit=10, max=100)

Note: This endpoint does not require authentication. Items are sorted by order for proper UI display.

Security
Bearer
Query
pagenumber, >= 1

Page number (1-based)

Default:1
Example:page=1
limitnumber, [ 1 .. 100 ]

Number of records per page

Default:10
Example:limit=10
GET
/api/logcategoryitems
curl -i -X GET \
  'https://data.logmycare.co.uk/openapi/api/logcategoryitems?page=1&limit=10' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

List of log category items

Bodyapplication/json
dataArray of objectsrequired

Array of log category items

Example:
[ { "id": "5e81db67b1b4e673bc2bb8cc", "name": "Catheter", "category": "5e867702b349f776c8d48c2f" } ]
paginationobject(PaginationMetaDto)required

Pagination metadata

Response
{ "data": [ {} ], "pagination": { "page": 1, "limit": 10, "total": 150, "totalPages": 15, "hasNext": true, "hasPrev": false } }